package com.lanyuanxiaoyao.service.web.entity.overview;

import com.lanyuanxiaoyao.service.configuration.entity.yarn.YarnQueue;
import com.lanyuanxiaoyao.service.configuration.entity.yarn.YarnRootQueue;

/**
 * @author lanyuanxiaoyao
 * @version 20250509
 */
public class YarnCountVO {
    private final String cluster;
    private final Integer total;
    private final Integer running;
    private final Integer scheduling;
    private final Integer failure;
    private final YarnRootQueue root;
    private final YarnQueue target;
    private final Integer queue;

    public YarnCountVO(String cluster, Integer total, Integer running, Integer scheduling, Integer failure, YarnRootQueue root, YarnQueue target, Integer queue) {
        this.cluster = cluster;
        this.total = total;
        this.running = running;
        this.scheduling = scheduling;
        this.failure = failure;
        this.root = root;
        this.target = target;
        this.queue = queue;
    }

    public String getCluster() {
        return cluster;
    }

    public Integer getTotal() {
        return total;
    }

    public Integer getRunning() {
        return running;
    }

    public Integer getScheduling() {
        return scheduling;
    }

    public Integer getFailure() {
        return failure;
    }

    public YarnRootQueue getRoot() {
        return root;
    }

    public YarnQueue getTarget() {
        return target;
    }

    public Integer getQueue() {
        return queue;
    }

    @Override
    public String toString() {
        return "YarnCountVO{" +
                "cluster='" + cluster + '\'' +
                ", total=" + total +
                ", running=" + running +
                ", scheduling=" + scheduling +
                ", failure=" + failure +
                ", root=" + root +
                ", target=" + target +
                ", queue=" + queue +
                '}';
    }
}
